﻿using System;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using Syncfusion.SfChart.iOS;
using Xamarin.Forms;
using SimpleSample;

/// <summary>
/// Custom renderer class used for represent the native chart for our own.
///  It must be use customChart inherited from forms chart.
/// </summary>
[assembly: ExportRenderer(typeof(CustomChart), typeof(SimpleSample.iOS.CustomRenderer))]
namespace SimpleSample.iOS
{
	public class CustomRenderer : SfChartRenderer
	{
		private CustomChart chart = null;

		public CustomRenderer()
		{

		}

		protected override void OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs<SfChart> e)
		{
			chart = e.NewElement as CustomChart;
			foreach (ChartSeries chartSeries in chart.Series) {

				SfChartRenderer.SetNativeObject(typeof(ChartSeries)
					, chartSeries,null);
			}
				
			base.OnElementChanged (e);

		}
	}
		
}

